Subject: [Enum] follow-up: ISDN subaddresses are not part of E.164 numbers

From: [email-masked]
Date: Wed, 23 Aug 2000 09:39:45 -0400

There was a question on ISDN subaddresses and E.164 during the enum 
     session in Pittsburgh.  This email is a follow-up to that.
     
     Summary:  ISDN subaddresses are not part of E.164 numbers.
     
     Details:
     
     1.  From some archives:
     
     a. I.331 = E.164, since sometimes Recs were/are dual-numbered.  
     b. I.330 (11/88), "ISDN numbering and addressing principles". 
     c. E.331 (10/91), "Minimum user-terminal interface for a human user 
        entering address information into an ISDN terminal".
     
     2.  From I.330:
     
     "5.4.3 Special attention is drawn to the fact that subaddressing is 
     not to be considered as part of the numbering plan, but constitutes an 
     intrinsic part of ISDN addressing capabilities. The subaddress shall 
     be conveyed in a transparent way as a separate entity from both ISDN 
     number and user-to-user information. See also Recommendation I.334."
     
     This is consistent with the current E.164, in Annex B.
     
     3.  From E.331, Section 5:
     
     "The start of a dialled sub-address is indicated by a star ["*"] ... 
     The end of a dialled address (including sub-address, if any ... ) is 
     indicated by a square ["#"]."
     
     Conclusions:
     
     a. ISDN subaddresses are not part of E.164 numbers.
     b. Therefore, ISDN subaddresses are out of scope for enum. 
     c. Outside the ISDN-specific realm, it's not clear what ISDN 
        subaddresses mean, and you probably couldn't make them work
        uniformly in the PSTN (GSTN?) anyway.
     d. I wish I had thought of all that when the question came up.
     
     So for now, IMHO, case closed.
     
     -Andy
     
     [email-masked]
     tel:  +1 301-214-3264
     fax:  +1 301-214-7226

_______________________________________________
enum mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/enum